Introduction

Sonic Foundry’s XFX 1 was developed for two primary reasons: to give current Sonic Foundry Sound Forge users the ability to preview the effects in real-time and to give users of other DirectX-compatible applications the ability to use the high-quality effects that Sound Forge users have grown to love.

XFX 1 contains six discrete plug-ins: Simple Delay, Multi-Tap Delay, Chorus, Reverb, Pitch Shift, and Time Compress/Expand.

What do you want to learn more about?

Using help

Technical support


Using Help

In developing XFX 1, one of our primary goals was to make the interfaces as easy to use as possible. However, some features may not be immediately apparent, so we hope you take some time to at least page quickly through the manual. That way, you won’t miss any of XFX 1’s creative potential.

Graphical conventions

The following icons are used throughout this Help file:

Symbol | Meaning
 | Drop-down text: click to display more information.
 | Note: provides additional related information about a topic.
 | Tip: provides a shortcut or an alternate means of performing a task in XFX.
 | Warning: Important information that you need to know before performing a task.

The Help window

Simply press F1 or choose Help from the main XFX shortcut menu to view the online help (but then, you're reading this, so you've figured that out already).

The Contents tab

The Contents tab provides a categorized listing of available help topics. Click a book [image] to open it, and click the topic page [image] you want to view. The topic is displayed in the right-hand pane.

The Index tab

The Index tab provides a complete listing of the help topics available. Use the scroll bar to scroll through the list of available topics or type a word in the text box to quickly locate topics related to the word. Select a topic and click the Display button.

The Search tab

The Search tab allows you to enter a keyword and display all of the topics in the online help that contain the keyword you have entered. Type a keyword in the text box and click the List Topics button. Select a topic from the list and click the Display button.

The Favorites tab

The Favorites tab allows you to easily return to topics that you use often. To view a topic from the Favorites tab, select the topic in the Topics list and click the display button. To add a topic to the Favorites tab, simply click the Add button. To remove a topic, select the topic in the Topics list and click the Remove button.

Contents

This help file is separated into five major sections:

Introduction

This section contains information about registering, getting started, and contacting technical support.

Using XFX 1

This section contains a “how to” approach to using each of XFX 1’s plug-ins. Most people will want to start here to learn how to use XFX 1’s plug-ins.

Troubleshooting

This section answers some common questions about XFX 1 and offers solutions to common problems.


Technical Support

If you experience problems or have question while using XFX, our technical support department is always ready to help you. Additional support and information about XFX and other Sonic Foundry products can be found on the Sonic Foundry Web site.

Contacting Technical Support

  • For a detailed list of Technical Support options, please visit the Support page on our Web site.

  • To listen to your support options, please call 608-256-5555.


Using XFX 1

XFX 1 can be used in any Microsoft DirectX-compatible host application. The quality and functionality of the plug-ins will be the same in each host application; however, the method of previewing the effects will be different. Consult your host application’s documentation to determine the previewing methods available to you.

Not all host applications’ DirectX implementations are the same. This may cause some problems involving real-time previewing.

Which effect do you want to use?

Simple Delay

Multi-Tap Delay

Chorus

Reverb

Pitch Shift

Time Compress/Expand


Simple Delay

You can use the Simple Delay effect to create subtle ambiance, slap-back echoes, and interesting effects.

To apply a simple delay

  1. Open the Sonic Foundry Simple Delay dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

  3. a. Drag the Dry out fader to set the level of the unprocessed signal that will be mixed into the output.

  4. b. Drag the Delay out fader to set the level of the delayed signal that will be mixed into the output.

  5. c. Drag the Delay time slider to set the interval between the dry and delayed signals.

  • Very short delay times (near 3 milliseconds) produce a comb-filter effect.

  • Medium delay times (near 25 milliseconds) produce a doubling effect to fatten a sound.

  • Longer delay times (approximately 65 milliseconds) can be substituted for reverb in dense mixes.

  1. d. Select the Multiple delays (Feedback) check box and drag the Decay time slider to produce multiple echoes that gradually fade out.

The Decay time slider determines the time it takes the multiple delays to become nearly inaudible.


Multi-Tap Delay

The Multi-Tap Delay allows you to create complex delay patterns through the use of several discrete delays. Each delay tap has its own delay time, amplitude, and stereo panning controls.

You can create a range of effects from complex rhythmic delays to pseudo reverbs using the Multi-Tap Delay effect.

What do you want to do?

Apply a multi-tap delay

  1. Open the Sonic Foundry Multi-Tap Delay dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

  3. a. Drag the Input gain fader to set the gain that is applied to the signal before processing.

  4. b. Drag the Dry out fader to set the level of the unprocessed signal that will be mixed into the output.

  5. c. Drag the Wet out fader to set the level of the processed signal that will be mixed into the output.

  6. d. Adjust taps as desired.

  7. e. Adjust modulation.

  8. f. Drag the Feedback slider to create additional echoes. Feedback percentages of more than 100% will cause the repeating echoes to get louder over time.

  9. g. Select the Low-pass start freq check box and drag the slider if you want to filter high frequencies.

Adjust taps

The Multi-Tap Delay window is set up so that each tap can be adjusted separately. To choose the number of taps you wish to use, drag the Number of taps slider or click the arrow buttons to the right of the slider.

To adjust a specific tap

  1. Click the Current tap radio button for the tap you want to adjust.

  2. Drag the Tap gain fader to specify how loud the tap is relative to the original signal and to the other taps.

A negative Tap gain means that the tap is 180 degrees out of phase with the rest of the signal.

  3. Drag the Delay slider (or enter a value in the edit box) to set the interval between the dry and delayed signals.

Sound travels at approximately 1 foot per millisecond, so you can simulate a given room size by setting delays to match reflections from all walls in the room. In a large room, sound must travel farther to reach the reflection surfaces. Therefore, setting the echoes farther apart creates a sense of being in a larger space.

  4. Drag the Pan slider to pan the current tap to the left or right. Double-click the slider to reset it to the middle.

The Pan slider is available only when you are working with a stereo file.

To use the echogram

The echogram represents the amplitude of sound reflections over time (impulse response) as determined by the current settings. Each vertical line represents an echo of the original sound. The length of each line corresponds to its amplitude (as a percentage of the original sound), and its horizontal distance from the left edge represents the time elapsed after the original sound. The red line is the currently selected tap, black lines are the other active taps, and blue lines are echoes resulting from feedback.

Drag the Graph Resolution slider to specify the interval that is displayed in the graph.

This sample graph shows eight taps. The gain of each tap is less than the previous tap, and the third tap is highlighted because it is selected in the Current tap radio buttons.

Modulate delay times

All of the taps in the Multi-Tap Delay can be modulated to create lush chorusing or other effects.

Drag the Modulator rate slider to control how fast the delay times are modulated. Slower values will create subtle changes, while faster values will create more intense effects.

Drag the Modulator depth slider to control the range of the delay time modulation.

Apply a low-pass filter

You can apply a low-pass filter to tailor the high-frequency content and create different frequency contours.

Select the Low-pass start freq. check box and drag the slider if you want to filter high frequencies. Move the slider to the left to filter more high-frequency material and to the right to leave more high-frequency material. The results are a brighter or more muted sound.


Chorus

The Chorus effect simulates the sound of several of the same instrument playing the same notes. Adding a Chorus effect works by adding very short delays and modulating the delay times.

Chorusing is very effective on stringed instruments and can be used as a special effect on vocals and other instruments.

What do you want to do?

Apply a simple chorus

  1. Open the Sonic Foundry Chorus dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

  3. a. Drag the Input gain fader to set the gain that is applied to the signal before processing.

  4. b. Drag the Dry out fader to set the level of the unprocessed signal that will be mixed into the output.

  5. c. Drag the Chorus out fader to set the level of the processed signal that will be mixed into the output.

  6. d. Drag the Chorus out delay slider to select the delay time that will be the middle point for the modulation.

Chorusing effects are typically created with delay times between 25 and 50 milliseconds, depending on the source material. Shorter delay times will create a flanging effect, and longer delay times will create a doubling or slap-back delay effect.

  1. e. Drag the Modulation rate slider to determine how fast the delay time is modulated. Choose values of 0.3 to 1 Hz for subtle modulation. Higher values will produce more intense effects.

Modulation will not be heard until you increase the Modulation depth setting.

  2. f. Drag the Modulation depth slider to determine how far outside of the initial setting the delay time is modulated. Higher settings will create detuning effects. Lower settings are better for creating lush guitar and string effects.

Increase the chorus size

Drag the Chorus size slider to specify how many times the selection is processed with the chorus algorithm.

A larger Chorus size setting will add depth to the effect and will emphasize the effects of the Feedback setting.

Add feedback

Drag the Feedback slider to specify the percentage of the processed signal that you want to re-process.

Increasing feedback is another way to thicken up the chorus effect. By increasing the Feedback setting, additional delays are added to the signal. The result can range from subtly increasing the girth of the chorus to adding dramatic discrete echoes.

Invert the phase of the chorus or feedback signal

Select the Invert the chorus phase check box if you want to invert the phase of the processed signal before mixing it with the unprocessed signal.

Select the Invert the feedback phase check box if you want to invert the phase of the feedback signal before adding it to the chorused signal.

Inverting sound data reverses the polarty of a waveform around its baseline. Inverting a waveform does not change the sound of a file; however, when you mix different sound files, phase cancellation can occur, producing a "hollow" sound. Inverting one of the files can prevent phase cancellation.

In the following example, the red line represents the baseline, and the lower waveform is the inverted image of the upper waveform:

Attenuate high frequencies

Select the Attenuate high frequencies above check box and drag the slider to apply a low-pass filter to your selection. Frequencies above the frequency specified by the slider will be filtered.

A wide variety of non-chorus-like effects can be created with this function: if the Modulation depth is high, a vibrato effect will occur; if the Chorus out delay is small, flanging occurs.


Reverb

Reverb allows you to recreate the space that is typically lost with close-miking techniques. It may also be used to create effects by placing sounds in spaces where they would normally never be heard.

What do you want to do?

Apply a simple reverb

  1. Open the Sonic Foundry Reverb dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

  3. a. Choose a Reverberation mode from the drop-down list.

These modes are the basic types of reverb simulation available to you in the Reverb dialog. Rather than determine the length of the reverb, these modes determine parameters such as diffusion and the reflective patterns of the echoes that make up a reverb.

  1. b. Drag the Dry out fader to set the level of the unprocessed signal that will be mixed into the output.

  2. c. Drag the Reverb out fader to set the level of the processed signal that will be mixed into the output.

  3. d. Choose an Early reflection style from the drop-down list, and drag the Early out slider to adjust the early reflections mixed into the output.

Early reflections are the first reflections you hear when a sound is created in a space. These reflections have typically only bounced once before reaching your ears. The human ear uses these first reflections to judge the size of the space.

  1. e. Drag the Decay time slider to specify the length of the reverb. Decay time is the time it takes for the reverb to decay to -60 dB below its initial level. Typically, anything over three seconds is a very long reverb. Most small rooms have decay times of less than one second.

  2. f. Drag the Pre-delay slider to specify the time between the initial sound and the start of the reverb. Pre-delay is another parameter that gives the human ear cues about how big a space is. Long Pre-delay times are usually associated with large spaces.

Adjust the placement of the source and reverb signals

You can adjust the Dry out, Reverb out, and Early out faders to sculpt the sound and place the source closer to or farther from the listener in the space you have created. A higher balance of dry signal will make the source sound closer. A higher balance of reverb will place the source farther away in the space.

Apply high- and low-pass filters

Reverb tends to lose high- and low-frequency material as it is reflected in a space. You can apply high- and low-pass filters to your signal to simulate the frequency loss of a space.

Select the Attenuate bass freqs. below check box and drag the slider if you want to filter low frequencies. Sounds below the specified frequency will be attenuated.

Select the Attenuate high freqs. above check box and drag the slider if you want to filter high frequencies. Sounds above the specified frequency will be attenuated.

Dull rooms will typically attenuate high frequencies starting around 4000 Hz. Brighter rooms will begin attenuation at higher frequencies.


Pitch Shift

The Pitch Shift effect changes the pitch of a sound without changing the duration of a signal. You can use the effect to fix out-of-tune notes or change the key of a song.

What do you want to do?

Change pitch without preserving duration

  1. Open the Sonic Foundry Pitch Shift dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

  3. a. Drag the Semitones to shift pitch by slider (or enter a value in the edit box) to adjust the pitch of the selection.

When the Preserve duration check box is selected, this slider is limited to -12 to 12 semitones.

  1. b. Drag the Cents to shift pitch by slider (or enter a value in the edit box) to adjust the pitch of the selection.

There are 100 cents to a semitone and 12 semitones to an octave. If you are tuning a vocal track, you will most likely have to adjust the Cents slider to get the desired pitch.

  1. c. Drag the Accuracy slider to set the accuracy of the pitch-shifting algorithm. High Accuracy settings result in slower processing.

If your computer has trouble previewing Pitch Shift in real-time, try lowering the Accuracy setting. After you have chosen the settings you wish to use, change the accuracy back to the highest setting for processing.

Apply an anti-alias filter during processing

Select the Apply an anti-alias filter during pitch shift check box to minimize aliasing distortion when raising the pitch of a signal.

When shifting the pitch up, it is very likely that frequencies above one half of the sampling frequency (or Nyquist frequency) will be introduced. The anti-alias filter removes these frequencies, thereby removing any potential aliasing distortion.

This check box is unavailable when shifting pitch down.

Preserve duration while shifting pitch

Select the Preserve duration check box and choose a Mode from the drop-down list.

Pitch Shift provides 19 different modes that are designed to maintain the highest quality for specific types of material. A mode that works great for drums will not work as well for string pads, for example.

The Preserve duration controls are not available when changing pitch by more than 12 semitones.


Time Stretch

The Time Stretch effect allows you to alter the length of a signal without changing its pitch.

What do you want to do?

Change the length of a sound

  1. Open the Sonic Foundry Time Stretch dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

  3. a. Choose a Mode from the drop-down list.

Time Stretch provides 19 different modes that are designed to maintain the highest quality for specific types of material. A mode that works great for drums will not work as well for string pads, for example.

You should be able to achieve excellent results for ratios between 75% and 115%. Beyond this range, you will start to hear artifacts such as echoes, flanging, or drop-outs. Also, running the process a number of times using small increments (such as 105%) will create different effects than processing all at once with a large time change.

  1. b. Drag the Final Percentage slider to change the length of the selection.

The Final Percentage slider may be displayed as Final Percentage, Final Time, or Final tempo, depending on the setting of the Input format drop-down list.

Change the time format

The Time Stretch function allows you to change the length of your sounds in three different ways: percentage of original, time, or tempo. Choose a setting from the Input format drop-down list to change the time format.

Because DirectX does not provide a way for a plug-in to know the total length of the data it is processing, you must tell the plug-in beforehand if you are using the Time or Tempo settings. For example, if you know your sound file is 32 seconds long and you need it to be 30 seconds long, you must first choose Time from the Input format drop-down menu and type 00:00:32 into the Initial Time box. Now, when you drag the Final Time slider, you are changing the sound with reference to time. Drag the slider until the Final time box reads 00:00:30.


Troubleshooting

This section contains helpful remedies to common performance issues involving XFX 1.

What do you want to learn more about?

Stuttering during real-time preview

Glitches when processing selections in Sound Forge


Stuttering During Real-Time Previewing

If you are experiencing problems when previewing XFX plug-ins in real-time, try one of the following:

Increase the DirectX buffering size

In Sound Forge, right-click the title bar of an XFX plug-in window and choose Preview Configuration from the shortcut menu. Decrease the Buffers to process per second and/or increase the Total Playback Buffers to reduce gapping. This will also make the controls less responsive, however. Expect to wait a second or so before changes are heard during the preview.

Use a faster processor with fast floating-point arithmetic

When using the plug-ins in Sound Forge, there is a CPU usage meter at the bottom of every plug-in window.

This will give you a rough indication of how your computer is coping with the real-time preview. If the usage ever goes above 100%, stuttering problems will most likely occur.


Glitches When Processing Selections in Sound Forge

If you experience small glitches in the transitions between selected material and nonselected material, try enabling the Crossfade edges feature (Sound Forge 4.0d or later). This feature is especially useful when pitch-shifting or time compressing a small portion of audio in the middle of a file.

To enable crossfading

  1. Right-click the title bar of an XFX plug-in window and choose Preview Configuration from the shortcut menu.

  2. Select the Crossfade edges check box and specify a crossfade time.

The Crossfade edges setting is plug-in dependent. This means that each plug-in maintains its own setting.


Welcome

Go to the XFX 1 page on the Sonic Foundry Web site

Copyright ©2001 Sonic Foundry, Inc.

Visit Sonic Foundry on the Web All Rights Reserved

Rev. 1/15/01